# ===================================================================================
# Im folgenden Abschnitt koennen Sie die Konfigurationseinstellungen bearbeiten
# ===================================================================================

# PFLICHT: Geben Sie hier den Permanent-Link an, den Sie auf unserem Downloadportal generiert haben (https://download.enet.eu)
$link = "https://download.enet.eu/download/auto/hashed/...";

# PFLICHT: Geben Sie hier das Zielverzeichnis an, in das die Datei(en) entpackt werden soll(en)
$ziel = ".\entpackt";

# ===================================================================================
# Alte Dateien werden ggf. geloescht
# ===================================================================================

If(!(test-path $ziel)) {
    New-Item -Path "$ziel" -ItemType "directory"
}
Remove-Item "$ziel/*.*"

# ===================================================================================
# Datei wird in das temp-Verzeichnis heruntergeladen
# ==================================================================================

try {
    $tempPath = $PSScriptRoot + "/temp"
    If(!(test-path $tempPath)) {
        New-Item -Path $tempPath -ItemType "directory"
    }
    Invoke-WebRequest -Uri "$link" -OutFile "$tempPath/downloaded.zip"
}
catch {
    "Die Datei konnte nicht heruntergeladen werden"
}

# ===================================================================================
# Datei wird in das Zielverzeichnis entpackt
# ===================================================================================

try {
    Expand-Archive -LiteralPath "temp/downloaded.zip" -DestinationPath $ziel
}
catch {
    "Die Datei konnte nicht entpackt werden"
}
